REM Diese beiden Zeilen muessen am Anfang eines Programms stehen, das die
REM HotHelp-Library verwenden will.

DECLARE FUNCTION HHEasyHelp& LIBRARY
LIBRARY "hothelp.library"

REM Oeffnen eines Screens mit einem Window

SCREEN 1, 640, 200, 2, 2
WINDOW 2,,,16,1

REM Ermittelt den Betriebssystem-Zeiger auf das Window

addr& = WINDOW (7)

REM Zeigt Informationen ber den Shell-Befehl Resident an, wobei sich das
REM HotHelp-Fenster auf dem neuen Screen ffnet.

CALL HotHelp ("Shell", "Resident", addr&, 1&, 0&)

WINDOW CLOSE 2
SCREEN CLOSE 1

REM Beenden des Library-Zugriffs

LIBRARY CLOSE

END


REM Dieses Unterprogramm ffnet ein HotHelp-Fenster. Parameter:
REM
REM project, key: Enthalten den Projekt- und Schlssel-String.
REM windowaddr:   Adresse des Fensters, auf dem sich das Fenster ffnen
REM               soll.
REM lastpos:  1:  Das Fenster nimmt die Gre und Position des letzten
REM               geffneten HotHelp-Fensters an.
REM           0:  Das Fenster ffnet sich an der voreingestellten Position.
REM lasttext: 1:  Zeigt den zuletzt dargestellten Text nochmals an.
REM           0:  Der durch project und key angewhlte Text wird angezeigt.

SUB HotHelp (project$, key$, windowaddr&, lastpos&, lasttext&) STATIC

p$ = project$ + CHR$ (0)
k$ = key$     + CHR$ (0)

hherror = HHEasyHelp& (SADD (p$), SADD (k$), 0&, windowaddr&, lastpos&, lasttext&)

REM Falls hherror einen Wert ungleich 0 hat, ist ein Fehler aufgetreten.
REM Hier kann dann noch eine Fehlerbehandlung eingebaut werden.

END SUB
